Skip to main content
POST
/
api
/
v1
/
addons
Create an add-on
curl --request POST \
  --url https://api.example.com/api/v1/addons \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "price_id": "<string>",
  "product_id": "<string>",
  "description": "<string>",
  "max_instances_per_subscription": 123,
  "self_serviceable": true
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "price_id": "<string>",
  "product_id": "<string>",
  "self_serviceable": true,
  "archived_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "fee_type": "RATE",
  "max_instances_per_subscription": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
price_id
string<MeteroidId>
required
Example:

"pri_7n42DGM5Tflk9n8mt7Fhc7"

product_id
string<MeteroidId>
required
Example:

"prd_7n42DGM5Tflk9n8mt7Fhc7"

description
string | null
max_instances_per_subscription
integer<int32> | null
self_serviceable
boolean

Response

Add-on created

created_at
string<date-time>
required
id
string<MeteroidId>
required
Example:

"add_7n42DGM5Tflk9n8mt7Fhc7"

name
string
required
price_id
string<MeteroidId>
required
Example:

"pri_7n42DGM5Tflk9n8mt7Fhc7"

product_id
string<MeteroidId>
required
Example:

"prd_7n42DGM5Tflk9n8mt7Fhc7"

self_serviceable
boolean
required
archived_at
string<date-time> | null
description
string | null
fee_type
null | enum<string>
Available options:
RATE,
SLOT,
CAPACITY,
USAGE,
EXTRA_RECURRING,
ONE_TIME
max_instances_per_subscription
integer<int32> | null